Subject: Re: [bess] draft-ietf-bess-mvpn-evpn-sr-p2mp-03 and Ingress Replication with SRv6

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 3 Aug 2021 22:30:05 +0000

Thank you Arvind for clarifying and making the change for the second point.
Jorge

From: Arvind Venkateswaran (arvvenka) <[email-masked]>
Date: Friday, July 30, 2021 at 12:34 PM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>
Cc: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: Re: draft-ietf-bess-mvpn-evpn-sr-p2mp-03 and Ingress Replication with SRv6
Hi Jorge,

Thanks for your comments. Please find my responses inline [AV]

-Arvind.

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Wednesday, July 28, 2021 at 8:08 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: draft-ietf-bess-mvpn-evpn-sr-p2mp-03 and Ingress Replication with SRv6
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Wednesday, July 28, 2021 at 8:08 AM

Dear draft-ietf-bess-mvpn-evpn-sr-p2mp authors,

I have some comments about yesterday’s presentation of revision 03. In the slides, this caught my attention:

“Current Updates (Version 03)
• Includes procedures for binding MVPN/EVPN service to an ingress-replication P-tunnel in a Segment Routing network
• Procedures in RFC7988 sufficient for MVPN IR over SR-MPLS
• For SRv6,
• I-PMSI and S-PMSI AD routes signal SRv6 Multicast Service SID
• BGP Prefix-SID attribute [RFC8669] with SRv6 L3 Service TLV [I-D.ietf-bess-srv6-services] signals the SRv6 Multicast Service SID
• New endpoint behaviors defined for packet decapsulation and multicast table lookup (End.DTM4, End.DTM6, End.DTM46”

My questions/comments are:

-    The slide states that the new extensions are valid for EVPN too. The text in the draft seems to be valid for MVPN only, and EVPN already supports Ingress Replication without the need for RFC8669 (which applies to MVPN only) or any extension to I-D.ietf-bess-srv6-services, at least for IMET and SMET routes. Can you please clarify if the text in the slide is an typo or intended? If intended, you need to clarify why those extensions are needed over what I-D.ietf-bess-srv6-services already supports for IR.

[AV] The text in the slide was indeed a typo. The text in this document is intended for MVPN only.

-    Section 5.2 implies that the MPLS label field in the PTA is a 24-bit value. However I-D.ietf-bess-srv6-services states that the SAFI 128 routes for SRv6 use a 20-bit label value in the MPLS label field (only EVPN considers the field as a 24-bit value). So in order to be consistent with the VPN-IP families, section 5.2 (and assuming this section is only for MVPN) should say that the MPLS label field is a 20-bit value. The text about transposition should be modified accordingly. Would you agree with this?

[AV] Yes, we agree. We will make the edit to indicate that only 20 bits from the MPLS field in the PTA will be used if transposition scheme is used.

I would appreciate feedback on the above points please.
Thank you!
Jorge